import 'package:sghi_core/misc_utilities/misc.dart';

enum Country { KENYA, UGANDA, TANZANIA, US, UK, BELGIUM, NIGERIA }

/// [Flavour]
enum Flavour { consumer, pro, unknown }

/// Security Questions response type
enum SecurityQuestionResponseType { NUMBER, TEXT, DATE, UNKNOWN }

enum EditInformationInputType { TEXT, DROPDOWN }

enum CaregiverType { FATHER, MOTHER, SIBLING, HEALTHCARE_PROFESSIONAL }

extension CaregiverTypeEx on CaregiverType {
  String get value {
    return titleCase(this.name).replaceAll(RegExp('_'), ' ');
  }
}

enum DeviceScreensType { MOBILE, TABLET, DESKTOP }

enum Gender { male, female, other, unknown }

enum NotificationType {
  ALL,
  UNREAD,
  APPOINTMENT,
  COMMUNITIES,
  SERVICE_REQUEST,
  SURVEYS,
  ROLE_ASSIGNMENT,
  ROLE_REVOCATION,
  DEMOTE_MODERATOR,
  PROMOTE_TO_MODERATOR,
  UNKNOWN
}

enum RoleValue {
  SYSTEM_ADMINISTRATOR,
  COMMUNITY_MANAGEMENT,
  CONTENT_MANAGEMENT,
  CLIENT_MANAGEMENT,
}

extension RoleName on RoleValue {
  String get value {
    return this.name.split('_').join(' ');
  }
}

enum UserType { CLIENT, STAFF, UNKNOWN }

/// The type of content being served to the user
enum ContentType { AUDIO_VIDEO, DOCUMENT, ARTICLE, PDF_DOCUMENT, UNKNOWN }

enum FeaturedMediaType { audio, video, UNKNOWN }

enum ContentDisplayedType { RECENT, FEED, BOOKMARK, PDF, UNKNOWN }

/// The type of contact being used
enum ContactType { PHONE, EMAIL, UNKNOWN }

enum IdentifierType { CCC, NATIONAL_ID, UNKNOWN }

/// The type of the client
enum ClientType {
  PMTCT,
  OVC,
  OTZ,
  OTZ_PLUS,
  HVL,
  DREAMS,
  HIGH_RISK,
  SPOUSES,
  YOUTH,
  KenyaEMR, // This is used for a user who has been synchronized from KenyaEMR
}

enum ConsentStatus {
  ACCEPTED,
  REJECTED,
  PENDING,
  UNKNOWN,
}

enum FacilityIdentifierType { MFL_CODE, SLADE_CODE, OTHER, HEALTH_CRM }

extension ClientTypeEx on ClientType {
  String get value {
    return this.name.replaceAll('_', ' ');
  }
}

enum DayOfWeek {
  MONDAY,
  TUESDAY,
  WEDNESDAY,
  THURSDAY,
  FRIDAY,
  SATURDAY,
  SUNDAY,
  UNKNOWN,
}
