import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';

void main() {
  group('enums', () {
    test('expects get enum names in uppercase', () {
      expect(Flavour.consumer.name, 'consumer');
      expect(RoleValue.SYSTEM_ADMINISTRATOR.value, 'SYSTEM ADMINISTRATOR');
      expect(UserType.CLIENT.name, 'CLIENT');

      expect(RoleValue.CLIENT_MANAGEMENT.value, 'CLIENT MANAGEMENT');
      expect(RoleValue.COMMUNITY_MANAGEMENT.value, 'COMMUNITY MANAGEMENT');
      expect(RoleValue.CONTENT_MANAGEMENT.value, 'CONTENT MANAGEMENT');
    });
    test('expects get enum names in lowercase', () {
      expect(
        CaregiverType.HEALTHCARE_PROFESSIONAL.value,
        'Healthcare professional',
      );
    });

    test('expects notification filters names', () {
      expect(NotificationType.APPOINTMENT.name, 'APPOINTMENT');
    });
    test('expects ClientTypeEx to remove underscores', () {
      expect(ClientType.HIGH_RISK.value, 'HIGH RISK');
    });

    test('FacilityIdentifierType', () {
      expect(FacilityIdentifierType.MFL_CODE.name, 'MFL_CODE');
    });
  });
}
