// ignore_for_file: unreachable_from_main

import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/src/enums.dart';
import 'package:sghi_core/afya_moja_core/src/utils.dart';

void main() {
  group('Utils', () {
    test('should return correct country', () {
      expect(popValue('Uganda'), Country.UGANDA);
      expect(popValue('Tanzania'), Country.TANZANIA);
      expect(popValue('United Kingdom'), Country.UK);
      expect(popValue('Belgium'), Country.BELGIUM);
      expect(popValue('Nigeria'), Country.NIGERIA);

      expect(getCountry(Country.UGANDA), supportedCountries['uganda']);
      expect(getCountry(Country.TANZANIA), supportedCountries['tanzania']);
      expect(getCountry(Country.UK), supportedCountries['uk']);
      expect(getCountry(Country.BELGIUM), supportedCountries['belgium']);
      expect(getCountry(Country.US), supportedCountries['usa']);
      expect(getCountry(Country.NIGERIA), supportedCountries['nigeria']);
    });
  });
}

/// Please refer to:
///
///  https://developer.android.com/training/multiscreen/screendensities#dips-pels
const Size typicalPhoneScreenSizePortrait = Size(320, 480);
const Size typicalPhoneScreenSizeLandscape = Size(480, 320);

const Size mediumSizedTabletPortrait = Size(600, 1024);
const Size mediumSizedTabletLandscape = Size(1024, 600);

const Size tabletPortrait = Size(720, 1280);
const Size tabletLandscape = Size(1280, 720);

const Size desktop = Size(1920, 1280);
